<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans_obj.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>
<xsd:include schemaLocation="obj_force.xsd"/>
	
	<xsd:element name="PARTY" type="PartyContent"/>
	<xsd:element name="MEET_ME_METHOD" type="MeetMeMethodType" default="party"/>
	<xsd:element name="NUM_TYPE" type="NetworkLineType" default="taken_from_service"/>
	<xsd:element name="BONDING" type="BondingType" default="auto"/>
	<xsd:element name="MULTI_RATE" type="MultiRateType" default="auto"/>
	<xsd:element name="NET_CHANNEL_NUMBER" type="NetChannelNumType" default="auto"/>
	<xsd:element name="CALL_CONTENT" type="CallContentType" default="framed"/>
	<xsd:element name="SIGNALING_PORT" type="xsd:integer"/>
	<xsd:element name="BONDING_PHONE" type="xsd:string"/>
	<xsd:element name="AUTO_DETECT"  type="xsd:boolean"  default="false"/>
	<xsd:element name="ENHANCED_VIDEO"  type="xsd:boolean"  default="false"/>
	<xsd:element name="VIDEO_BIT_RATE"  type="VideoBitRateContent"/>
	<xsd:element name="QOS_ATM_VIDEO" type="AtmQosMediaType" default="ubr"/>
	<xsd:element name="QOS_ATM_AUDIO" type="AtmQosMediaType" default="ubr"/>
	<xsd:element name="ATM_QOS"  type="AtmQosContent"/>	
	<xsd:element name="MCU_PHONE_LIST"  type="PhoneListType"/>	
	<xsd:element name="RECORDING_PORT"  type="RecordingPortType" default="no"/>	
	<xsd:element name="LAYOUT_TYPE"  type="LayoutTypeContent"/> 
	<xsd:element name="SIP_ADDRESS"  type="xsd:string"/>	
	<xsd:element name="WEB_USER_ID"  type="xsd:integer"/>
	<xsd:element name="UNDEFINED"  type="xsd:boolean"/>
	<xsd:element name="BACKUP_SERVICE_NAME" type="xsd:string"/>
	<xsd:element name="BACKUP_SUB_SERVICE_NAME" type="xsd:string"/>
	<xsd:element name="DEFAULT_TEMPLATE"  type="xsd:boolean"/>
	<xsd:element name="NODE_TYPE"  type="NodeType"/>
	<xsd:element name="ENCRYPTION_EX"  type="BoolAutoType"/>
	<xsd:element name="H323_PSTN"  type="xsd:boolean"/>
	<xsd:element name="IS_RECORDING_LINK_PARTY"  type="xsd:boolean"/>
	<xsd:element name="USER_IDENTIFIER_STRING"  type="xsd:string"/>
	<xsd:element name="TELEPRESENCE_MODE" type="TelePresencePartyType" default="none"/>
	<xsd:element name="SUB_IP_SERVICE"  type="SubIPServiceType" default="primary"/>  <!--not supported-->
	<xsd:element name="VIDEO_DIRECTION"  type="VideoDirectionType" default="in"/>	
	<xsd:element name="VIDEO_PORT"  type="xsd:integer"/>
	<xsd:element name="AUDIO_PORT"  type="xsd:integer"/>  
	<xsd:element name="INTRA_DIRECTION"  type="IntraType"  default="in"/>
	<xsd:element name="MAX_RESOLUTION" type="ConfPartyResolutionType" default="auto"/>

	<xsd:simpleType name="SubIPServiceType">   <!--not supported-->
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="auto"/>							<!--not supported-->
			<xsd:enumeration value="primary"/>						<!--default-->
			<xsd:enumeration value="secondary"/>
		</xsd:restriction>
	</xsd:simpleType>

  
  
	<xsd:simpleType name="VideoDirectionType">	
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="in"/>
			<xsd:enumeration value="out"/>			
		</xsd:restriction>
	</xsd:simpleType> 
	 
	<xsd:simpleType name="IntraType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="in"/>
			<xsd:enumeration value="out"/>			
		</xsd:restriction>
	</xsd:simpleType>


	<xsd:simpleType name="TelePresencePartyType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="none"/>
			<xsd:enumeration value="rpx"/>
			<xsd:enumeration value="tpx"/>
		</xsd:restriction>
	</xsd:simpleType>
	
	<xsd:simpleType name="LayoutTypeContent">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="conference"/>
			<xsd:enumeration value="personal"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="VideoBitRateContent">
		<xsd:union>
			<xsd:simpleType>
				<xsd:restriction base="AutomaticType"/>
			</xsd:simpleType>
			<xsd:simpleType>
				<xsd:restriction base="H323BitRateType"/>
			</xsd:simpleType>
		</xsd:union>
	</xsd:simpleType>

	<xsd:complexType name="AtmQosContent">
		<xsd:sequence>
			<xsd:element ref="QOS_ACTION"/>
			<xsd:element ref="QOS_ATM_AUDIO"/>
			<xsd:element ref="QOS_ATM_VIDEO"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="NodeType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="mcu"/>
			<xsd:enumeration value="terminal"/>
		</xsd:restriction>
	</xsd:simpleType>
	
	<xsd:simpleType name="CallContentType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="framed"/>
			<xsd:enumeration value="voice"/>
		</xsd:restriction>
	</xsd:simpleType>		


	<xsd:simpleType name="NetChannelNumType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="auto"/>
			<xsd:enumeration value="channel_1"/>
			<xsd:enumeration value="channel_2"/>
			<xsd:enumeration value="channel_3"/>
			<xsd:enumeration value="channel_4"/>
			<xsd:enumeration value="channel_5"/>
			<xsd:enumeration value="channel_6"/>
			<xsd:enumeration value="channel_8"/>
			<xsd:enumeration value="channel_12"/>
			<xsd:enumeration value="channel_18"/>
			<xsd:enumeration value="channel_23"/>
			<xsd:enumeration value="channel_24"/>
			<xsd:enumeration value="channel_30"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="MultiRateType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="auto"/>
			<xsd:enumeration value="enabled"/>
			<xsd:enumeration value="disabled"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="BondingType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="auto"/>
			<xsd:enumeration value="enabled"/>
			<xsd:enumeration value="disabled"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="NetworkLineType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="unknown"/>
			<xsd:enumeration value="international"/>
			<xsd:enumeration value="national"/>
			<xsd:enumeration value="network_specific"/>
			<xsd:enumeration value="subscriber"/>
			<xsd:enumeration value="abbreviated"/>
			<xsd:enumeration value="taken_from_service"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="MeetMeMethodType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="mcu-conference"/>
			<xsd:enumeration value="party"/>
			<xsd:enumeration value="channel"/>			<!--not supported-->
			<xsd:enumeration value="unknown"/>			<!-- This param valid only in get option -->
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="RecordingPortType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="no"/>
			<xsd:enumeration value="default"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="BoolAutoType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="yes"/>
			<xsd:enumeration value="no"/>
			<xsd:enumeration value="auto"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="ConfPartyResolutionType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="auto"/>
			<xsd:enumeration value="cif"/>
			<xsd:enumeration value="sd"/>
			<xsd:enumeration value="hd_720"/>
			<xsd:enumeration value="hd_1080"/>
		</xsd:restriction>
	</xsd:simpleType>


	<xsd:complexType name="PartyContent">
		<xsd:sequence>
			<xsd:element ref="NAME" minOccurs="0"/>
			<xsd:element ref="ID" minOccurs="0"/>
			<xsd:element ref="PHONE_LIST" minOccurs="0"/>				<!--supported from version 2.0--> 
			<xsd:element ref="INTERFACE" minOccurs="0"/>
			<xsd:element ref="CONNECTION" minOccurs="0"/>
			<xsd:element ref="MEET_ME_METHOD" minOccurs="0"/>			<!--supported from version 2.0--> 
			<xsd:element ref="NUM_TYPE" minOccurs="0"/>					<!--supported from version 2.0--> 
			<xsd:element ref="BONDING" minOccurs="0"/>					<!--supported from version 3.0-->
			<xsd:element ref="MULTI_RATE"  minOccurs="0"/>				<!--not supported-->
			<xsd:element ref="NET_CHANNEL_NUMBER"  minOccurs="0"/>		<!--supported from version 3.0-->
			<xsd:element ref="VIDEO_PROTOCOL" minOccurs="0"/>
			<xsd:element ref="CALL_CONTENT"  minOccurs="0"/>
			<xsd:element ref="ALIAS"  minOccurs="0"/>
			<xsd:element ref="IP"  minOccurs="0"/>
			<xsd:element ref="SIGNALING_PORT"  minOccurs="0"/>			<!-- This param valid only in get option --> 
			<xsd:element ref="VOLUME"  minOccurs="0"/>
			<xsd:element ref="MCU_PHONE_LIST"  minOccurs="0"/>			<!--supported from version 2.0-->
			<xsd:element ref="BONDING_PHONE"  minOccurs="0"/>			<!--supported from version 3.0-->
			<xsd:element ref="SERVICE_NAME"  minOccurs="0"/>
			<xsd:element ref="SUB_SERVICE_NAME"  minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="AUTO_DETECT"  minOccurs="0"/>				<!--not supported-->
			<xsd:element ref="RESTRICT"  minOccurs="0"/>				<!--not supported-->
			<xsd:element ref="ENHANCED_VIDEO"  minOccurs="0"/>			<!--not supported-->
			<xsd:element ref="VIDEO_BIT_RATE"  minOccurs="0"/>
			<xsd:element ref="IP_QOS"  minOccurs="0"/>					<!--not supported-->
			<xsd:element ref="ATM_QOS"  minOccurs="0"/>					<!--obsolete-->
			<xsd:element ref="RECORDING_PORT"  minOccurs="0"/>			<!--not supported-->
			<xsd:element ref="LAYOUT_TYPE" minOccurs="0"/>
			<xsd:element ref="PERSONAL_LAYOUT" minOccurs="0"/>
			<xsd:element ref="PERSONAL_FORCE_LIST" minOccurs="0"/>
			<xsd:element ref="VIP" minOccurs="0"/>						<!--not supported. system sets the value to "false"--> 
			<xsd:element ref="CONTACT_INFO_LIST" minOccurs="0"/>
			<xsd:element ref="LISTEN_VOLUME" minOccurs="0"/>
			<xsd:element ref="AGC" minOccurs="0"/>
			<xsd:element ref="SIP_ADDRESS" minOccurs="0"/>
			<xsd:element ref="SIP_ADDRESS_TYPE" minOccurs="0"/>
			<xsd:element ref="WEB_USER_ID" minOccurs="0"/>				<!--not supported-->
			<xsd:element ref="UNDEFINED" minOccurs="0"/>
			<xsd:element ref="BACKUP_SERVICE_NAME" minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="BACKUP_SUB_SERVICE_NAME" minOccurs="0"/>	<!--not supported-->
			<xsd:element ref="DEFAULT_TEMPLATE" minOccurs="0"/>			<!--not supported-->
			<xsd:element ref="NODE_TYPE" minOccurs="0"/>
			<xsd:element ref="ENCRYPTION_EX" minOccurs="0"/>
			<xsd:element ref="H323_PSTN" minOccurs="0"/>				<!--not supported-->
			<xsd:element ref="EMAIL" minOccurs="0"/>					<!--not supported-->
			<xsd:element ref="IS_RECORDING_LINK_PARTY" minOccurs="0"/>	<!--supported from version 2.0.2--> 
			<xsd:element ref="USER_IDENTIFIER_STRING" minOccurs="0"/>	<!--supported from version 5.0-->
			<xsd:element ref="IDENTIFICATION_METHOD" minOccurs="0"/>
			<xsd:element ref="CASCADE" minOccurs="0"/>
			<xsd:element ref="TELEPRESENCE_MODE" minOccurs="0"/>
			<xsd:element ref="FORCE" minOccurs="0"/>
			<xsd:element ref="IP_V6"  minOccurs="0"/>
			<xsd:element ref="SUB_IP_SERVICE"  minOccurs="0"/>      <!--not supported-->
			<xsd:element ref="MAX_RESOLUTION" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>
